List Real-time STT agents
Updated
Retrieves Real-time STT agents that match specified criteria.
https://api.agora.io/api/speech-to-text/v1/projects/{appid}/agentsUse this method to retrieve a list of real-time transcription and translation agents that match specified criteria.
Path Parameters
appidstringThe App ID of the project.
Query Parameters
channelstringFilters the agent list by channel name.
from_timeintegerThe start of the query time range, as a Unix timestamp in seconds. Defaults to 1 day ago.
to_timeintegerThe end of the query time range, as a Unix timestamp in seconds. Defaults to the current time.
statestringFilters agents by status. Only one status value can be specified per request:
0-IDLE: The agent is not initialized.1-STARTING: The agent is starting.2-RUNNING: The agent is running.3-STOPPING: The agent is exiting.4-STOPPED: The agent exited successfully.5-RECOVERING: The agent is recovering.6-FAILED: The agent exited with a failure.
limitintegerThe maximum number of agents to return per page.
cursorstringThe pagination cursor. Set this to the agent_id of the last item from the previous page to retrieve the next page of results.
Response
- If the returned status code is
200, the request was successful. The response body contains the result of the request.
Response Body
OK
dataobjectcountintegerThe number of agents returned in this response.
listarray<object>The list of agents matching the query criteria.
start_tsintegerThe Unix timestamp (in seconds) when the agent was created.
statusstringThe current status of the agent:
IDLE: The agent is not initialized.STARTING: The agent is starting.RUNNING: The agent is running.STOPPING: The agent is exiting.STOPPED: The agent exited successfully.RECOVERING: The agent is recovering.FAILED: The agent exited with a failure.
agent_idstringThe agent ID.
metaobjectMetadata about the returned list.
cursorstringThe pagination cursor for the next page of results.
totalintegerThe total number of agents matching the query criteria.
statusstringThe request status.
Response
Refer to the detail and reason fields to understand the possible reasons for failure.
Request examples
curl --request GET \ --url 'https://api.agora.io/api/speech-to-text/v1/projects/:appid/agents?state=2&limit=20' \ --header 'Authorization: Basic <credentials>'Response example
{ "data": { "count": 1, "list": [ { "start_ts": 1735035893, "status": "RUNNING", "agent_id": "1NT29X11GQSxxxxx80BEIN56XF" } ] }, "meta": { "cursor": "", "total": 1 }, "status": "ok"}